summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO19
-rw-r--r--PKGBUILD25
2 files changed, 44 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..21e65df69d0
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,19 @@
+pkgbase = trayclock
+ pkgdesc = trayclock is a simple analog clock for the sys-tray
+ pkgver = 0.3.7
+ pkgrel = 3
+ url = http://www.jezra.net/projects/trayclock
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = gcc
+ makedepends = make
+ makedepends = intltool
+ makedepends = pkgconfig
+ depends = gtk2
+ depends = librsvg
+ source = http://launchpad.net/trayclock/0.5/0.3.7/+download/trayclock-0.3.7.tar.gz
+ md5sums = f36e4e8a487b52d56d16eda208d74e74
+
+pkgname = trayclock
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..f104f862b3b
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,25 @@
+# Maintainer: timttmy <marshall\\dot//cleave\\at//tiscali\\dot//co\\dot//uk>
+
+pkgname=trayclock
+pkgver=0.3.7
+pkgrel=3
+pkgdesc="trayclock is a simple analog clock for the sys-tray"
+url="http://www.jezra.net/projects/trayclock"
+#groups=()
+depends=('gtk2' 'librsvg')
+makedepends=('gcc' 'make' 'intltool' 'pkgconfig')
+license="GPL"
+source=(http://launchpad.net/$pkgname/0.5/$pkgver/+download/$pkgname-$pkgver.tar.gz)
+md5sums=('f36e4e8a487b52d56d16eda208d74e74')
+arch=('i686' 'x86_64')
+
+build() {
+ cd $srcdir/$pkgname-$pkgver
+ ./configure --prefix=/usr/
+ make || return 1
+}
+
+package() {
+ cd $srcdir/$pkgname-$pkgver
+ make DESTDIR=$pkgdir install
+}